
CoCoA-5 - Bug #1060

describe ring: add final newline

05 May 2017 16:18 - John Abbott

Status: Closed Start date: 05 May 2017

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 0.44 hour

Target version: CoCoA-5.2.2 Spent time: 0.35 hour

Description

In CoCoA-5, it might be nice if describe for a ring added a final newline.

Related issues:

Related to CoCoA-5 - Feature #751: description of a RING Closed 29 Jul 2015

History

#1 - 05 May 2017 16:18 - John Abbott

- Related to Feature #751: description of a RING added

#2 - 05 May 2017 16:21 - John Abbott

The problem can be exhibited by doing:

describe ZZ;

 

Relevant source code Interpreter.C:277-281

Why not print directly instead of putting it in a string?

#3 - 09 Nov 2017 14:09 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 0.44 h

I have modified Interpreter.C:281 by inserting a call to mem fn newline;  now it is

  out->print(os.str())->newline()->flush();

 

Seems to work OK.  Status -> feedback.
#4 - 13 Nov 2017 15:59 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
